#!/bin/sh
# information on cue file format: https://web.archive.org/web/20160201021136/http://digitalx.org/cue-sheet/syntax/

rm -f fs/*~

mkisofs -volid PLAYSTATION -sysid PLAYSTATION -appid PLAYSTATION -o psx.iso fs/

cc -o iso2raw iso2raw.c
./iso2raw nolicence psx.iso
mv psx.iso.raw pawlov.bin

#mpg123 -wpawlov.wav track2.mp3
rm -f pawlov.wav
openmpt123 --output pawlov.wav --samplerate 44100 --channels 2 --no-float herr_weltschaft_-_pavlow.xm
dd if=pawlov.wav of=track2.bin bs=1 skip=54 # remove WAV header

zip -9 /tmp/pawlov_i.zip elite.txt game.ini pawlov.cue pawlov.bin pawlov.png track2.bin

rm -f *~ iso2raw psx.iso.cue pawlov.wav psx.iso track2.bin pawlov.bin

tar cf /tmp/pawlov_s.tar *
gzip -9 /tmp/pawlov_s.tar

echo
echo created /tmp/pawlov_i.zip /tmp/pawlov_s.tar.gz
